# Class CIM_ClassifierFilterSet
extends CIM_Dependency

In order for a ClassifierService to correctly identify and process network traffic, that traffic must be described by FilterEntries, which are aggregated into FilterLists. This association defines the Dependency of the ClassifierService on FilterLists (and therefore, their FilterEntries). The cardinality of the association requires that the Classifier Service operate against at least one FilterList. The association is deprecated in lieu of associating Filter Lists to ClassifierElements, and ClassifierElements into ClassifierServices. The latter approach is very flexible regarding the implementations that can be modeled, and removes the need to track individual traffic streams using an artificial model property, TrafficClass. Using ClassifierElements, each stream is processed beginning with a single FilterList and progressing through various ConditioningServices, associated via instances of NextService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ClassifierFilterSet

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ClassifierElementUsesFilterList, CIM_ClassifierElementInClassifierService

Description

string

In order for a ClassifierService to correctly identify and process network traffic, that traffic must be described by FilterEntries, which are aggregated into FilterLists. This association defines the Dependency of the ClassifierService on FilterLists (and therefore, their FilterEntries). The cardinality of the association requires that the Classifier Service operate against at least one FilterList. The association is deprecated in lieu of associating Filter Lists to ClassifierElements, and ClassifierElements into ClassifierServices. The latter approach is very flexible regarding the implementations that can be modeled, and removes the need to track individual traffic streams using an artificial model property, TrafficClass. Using ClassifierElements, each stream is processed beginning with a single FilterList and progressing through various ConditioningServices, associated via instances of NextService.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FilterListPosition | uint16 |
Deprecated | string | CIM_ClassifierElementInClassifierService.ClassifierOrder
Description | string | The ordering of the FilterLists used in the classification and forwarding functions of the ClassifierService.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ClassifierFilterSet | CIM_FilterList
Dependent | CIM_ClassifierFilterSet | CIM_ClassifierService

## Class Methods